Bug 98184 - cupsaddsmb incorrectly configures Windows 9x drivers
cupsaddsmb incorrectly configures Windows 9x drivers
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: cups (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-27 13:25 EDT by Jack Johnson
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version: 1.1.19-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-07 10:27:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Johnson 2003-06-27 13:25:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4b)
Gecko/20030515 Mozilla Firebird/0.6

Description of problem:
When running cupsaddsmb, it incorrectly calls rpcclient:

rpcclient localhost -N -U'root%password' -c 'adddriver "Windows 4.0"
"test2:ADOBEPS4.DRV:test2.PPD:NULL:ADOBEPS4.HLP:PSMON.DLL:RAW:ADOBEPS4.DRV:test2.PPD,ADOBEPS4.HLP,PSMON.DLL,ADFONTS.MFM,DEFPRTR2.PPD,ICONLIB.DLL"'

According to the rpcclient man page:

  The config parameter is defined as follows:

                   Long Printer Name:\
                   Driver File Name:\
                   Data File Name:\
                   Config File Name:\
                   Help File Name:\
                   Language Monitor Name:\
                   Default Data Type:\
                   Comma Separated list of Files

If you check the entry in the call, there's one too many colons, and as a result
only the first file in the driver list gets installed on the client.

The fix is easy, in cups-1.1.17/systemv/cupsaddssmb.c:

# diff cupsaddsmb.c.orig cupsaddsmb.c.new
477c477
<           
"ADOBEPS4.DRV:%s.PPD,ADOBEPS4.HLP,PSMON.DLL,ADFONTS.MFM,DEFPRTR2.PPD,ICONLIB.DLL\"",
---
>           
"ADOBEPS4.DRV,%s.PPD,ADOBEPS4.HLP,PSMON.DLL,ADFONTS.MFM,DEFPRTR2.PPD,ICONLIB.DLL\"",

It could probably be done with a patch.

I have not checked the current cups sources at easysw.com yet.


Version-Release number of selected component (if applicable):
cups-1.1.17-13.3

How reproducible:
Always

Steps to Reproduce:
1. install & configure samba, cups & the Adobe PostScript drivers per the
documentation
2. run cupsaddsmb -U whoever -a
3. use a Win9x host to attempt to automatically install the drivers
    

Actual Results:  The complete set of drivers do not load on the Win9x host.

Expected Results:  The complete set of drivers should have loaded on the Win9x host.

Additional info:

See description
Comment 1 Tim Waugh 2003-07-07 10:27:08 EDT
This is fixed in CUPS-1.1.19, which is now in rawhide.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.